# TdApi.PageBlockEmbedded (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockEmbedded

Package it.tdlight.jni

# Class TdApi.PageBlockEmbedded

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockEmbedded

Enclosing class:
  TdApi

    public static class TdApi.PageBlockEmbedded
    extends TdApi.PageBlock

An embedded web page.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `allowScrolling` | True, if scrolling needs to be allowed.
`TdApi.PageBlockCaption` | `caption` | Block caption.
`static int` | `CONSTRUCTOR` |
`int` | `height` | Block height; 0 if unknown.
`String` | `html` | HTML-markup of the embedded page.
`boolean` | `isFullWidth` | True, if the block must be full width.
`TdApi.Photo` | `posterPhoto` | Poster photo, if available; may be null.
`String` | `url` | Web page URL, if available.
`int` | `width` | Block width; 0 if unknown.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockEmbedded()` | An embedded web page.
`PageBlockEmbedded​(DataInput input)` |
`PageBlockEmbedded​(String url, String html, TdApi.Photo posterPhoto, int width, int height, TdApi.PageBlockCaption caption, boolean isFullWidth, boolean allowScrolling)` | An embedded web page.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
Web page URL, if available.

### html

public String html
HTML-markup of the embedded page.

### posterPhoto

public TdApi.Photo posterPhoto
Poster photo, if available; may be null.

### width

public int width
Block width; 0 if unknown.

### height

public int height
Block height; 0 if unknown.

### caption

public TdApi.PageBlockCaption caption
Block caption.

### isFullWidth

public boolean isFullWidth
True, if the block must be full width.

### allowScrolling

public boolean allowScrolling
True, if scrolling needs to be allowed.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockEmbedded

public PageBlockEmbedded()
An embedded web page.

### PageBlockEmbedded

public PageBlockEmbedded​(String url, String html, TdApi.Photo posterPhoto, int width, int height, TdApi.PageBlockCaption caption, boolean isFullWidth, boolean allowScrolling)
An embedded web page.

Parameters:
  `url` - String Web page URL, if available.
  `html` - String HTML-markup of the embedded page.
  `posterPhoto` - Photo Poster photo, if available; may be null.
  `width` - int Block width; 0 if unknown.
  `height` - int Block height; 0 if unknown.
  `caption` - PageBlockCaption Block caption.
  `isFullWidth` - boolean True, if the block must be full width.
  `allowScrolling` - boolean True, if scrolling needs to be allowed.

### PageBlockEmbedded

public PageBlockEmbedded​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`